[Orca-checkins] rev 217 - trunk/orca/data_gatherers/orcallator
blair at orcaware.com
blair at orcaware.com
Wed Mar 19 11:54:18 PST 2003
Author: blair
Date: 2003-03-19 11:54:11 -0800 (Wed, 19 Mar 2003)
New Revision: 217
Modified:
trunk/orca/data_gatherers/orcallator/S99orcallator.sh.in
Log:
* data_gatherers/orcallator/S99orcallator.sh.in:
Factor out the paths to start_orcallator and stop_orcallator.
Convert tabs to 4 spaces.
Modified: trunk/orca/data_gatherers/orcallator/S99orcallator.sh.in
==============================================================================
--- trunk/orca/data_gatherers/orcallator/S99orcallator.sh.in (original)
+++ trunk/orca/data_gatherers/orcallator/S99orcallator.sh.in 2003-03-19 11:54:17.000000000 -0800
@@ -4,26 +4,29 @@
exec_prefix=@exec_prefix@
bindir=@bindir@
+start_orcallator="$bindir/start_orcallator"
+stop_orcallator="$bindir/stop_orcallator"
+
case "$1" in
'start')
- if [ -x $bindir/start_orcallator ]; then
- umask 022
- $bindir/start_orcallator
- else
- echo "$0: $bindir/start_orcallator does not exist or is not executable."
- fi
- ;;
+ if [ -x $start_orcallator ]; then
+ umask 022
+ $start_orcallator
+ else
+ echo "$0: $start_orcallator does not exist or is not executable."
+ fi
+ ;;
'stop')
- if [ -x $bindir/stop_orcallator ]; then
- $bindir/stop_orcallator
- fi
- ;;
+ if [ -x $stop_orcallator ]; then
+ $stop_orcallator
+ fi
+ ;;
*)
- echo "Usage: $0 { start | stop }"
- exit 1
- ;;
+ echo "Usage: $0 { start | stop }"
+ exit 1
+ ;;
esac
exit 0
More information about the Orca-checkins
mailing list